# EditNT.mak
# Created by IBM WorkFrame/2 MakeMake at 10:56:36 on 07/05/96
#
# The actions included in this make file are:
#  Compile
#  Resource Compile
#  Link

.SUFFIXES: .rc .res

.all: \
    .\NTEdit.exe

.rc.res:
    @echo " Resource Compile "
    irc.exe %s

EditMainWin.obj: \
    EditMainWin.cpp \
    {.;$(INCLUDE);}EditMainWin.hpp \
    {.;$(INCLUDE);}MLESearch.hpp \
    {.;$(INCLUDE);}EditRC.h
    @echo " Compile "
    icc.exe /Gm /Ti+ -qtune=pentium /C EditMainWin.cpp

MLESearch.obj: \
    MLESearch.cpp \
    {.;$(INCLUDE);}MLESearch.hpp
    @echo " Compile "
    icc.exe /Gm /Ti+ -qtune=pentium /C MLESearch.cpp


main.obj: \
    main.cpp \
    {.;$(INCLUDE);}EditMainWin.hpp
    @echo " Compile "
    icc.exe /Gm /Ti+ -qtune=pentium /C main.cpp

.\NTEdit.exe: \
    MLESearch.obj \
    EditMainWin.obj \
    editnt.res \
    main.obj
    @echo " Link "
    icc.exe @<<
    /Tdp
     /Ti+ /Gm -qtune=pentium
     /B" /de /pmtype:pm /nologo /code:RX /data:RW"
     /B" /def"
     /FeNTEdit.exe
     MLESearch.obj
     EditMainWin.obj
     editnt.res
     main.obj
<<

editnt.res: \
    EditNT.rc \
    EditRC.h
